Kerbal Space Program - Bug #5951

Black environnement in vehicule assembly building
11/14/2015 06:39 PM - Cedbomb

Status: Needs Clarification Start date: 11/14/2015
Severity: Normal % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.5 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

When | enter the vehicule assembly building, everything is black except for the parts and the kerbals.

History

#1 - 11/16/2015 12:55 AM - sal_vager

- Status changed from New to Need More Info
Unable to reproduce in build 1028, Linux.
Similar issue posted to the forum here

http://forum.kerbalspaceprogram.com/threads/139591-VAB-SPH-interiors-not-displaying%28replaced-by-black-void%29-in-editor-scenes-%281-
0-5-1028%29

Searching for the error message indicates this is an operating system issue.

Disabling PPFX edge highlighting fixed it for hawkinator, looks to be specific to Intel.

#2 - 11/23/2015 05:00 AM - psycho_zs

Confirming this. | saw this recently when | launched fresh unmodified KSP.
Probably, it is Unity's lame special treatment of Intel drivers.

0S: Linux 4.2 Debian testing 64bit

CPU: Intel(R) Core(TM) 1i7-3540M CPU @ 3.00GHz (4)

RAM: 7872

GPU: Mesa DRI Intel (R) Ivybridge Mobile (256MB)

SM: 30 (OpenGL 3.0 [3.0 Mesa 11.0.5])

RT Formats: ARGB32, Depth, ARGBHalf, RGB565, ARGB4444, ARGB1555, Default, DefaultHDR, ARGBFloat, RGFloat, RGHa
1f, RFloat, RHalf, RS8

Usually | tweak KSP binary to garble "INTEL" string and disrupt matching. It fixes this issue too
(http:/forum.kerbalspaceprogram.com/threads/49817-How-to-enable-shadows-on-Linux-for-Intel-lvy-Bridge-graphics)

#3 - 11/23/2015 01:54 PM - Squelch
- Status changed from Need More Info to Unity Bug

The Intel 9xx (4000) series of GPUs is blacklisted by Unity and regarded as buggy on the Linux platform for some reason. There are some hackish
workarounds, but we cannot support nor condone these or the potential damage they may cause. Until Unity are able to deal with Intel GPUs
properly, there's little that can be done.

These lines in the log are generated by Unity, and not KSP

GL: disabling shadows on Intel 9xx (buggy)
GL: disabling framebuffer blit, antialiasing, SRGB on Intel

Ref: http://forum.unity3d.com/threads/image-effects-and-shadows-disabled-on-ubuntu.212428/
#4 - 07/17/2016 09:41 AM - TriggerAu
- Status changed from Unity Bug to Needs Clarification
